Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng

# Enum Class AbstractFbBlob.BlobState

java.lang.Object
java.lang.Enum<AbstractFbBlob.BlobState>
org.firebirdsql.gds.ng.AbstractFbBlob.BlobState

All Implemented Interfaces:
  `Serializable`, `Comparable<AbstractFbBlob.BlobState>`, `Constable`

Enclosing class:
  AbstractFbBlob

protected static enum AbstractFbBlob.BlobState extends Enum<AbstractFbBlob.BlobState>
State of the blob.

Since:
  5.0.7

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CLOSED`
  Blob is closed.
  `DELAYED_OPEN`
  Blob is deferred open, the open request is delayed (only client-side open).
  `NEW`
  Blob is new and not yet opened.
  `OPEN`
  Blob is open client-side and server-side.
  `PENDING_OPEN`
  Blob is deferred open, and open request is pending (already sent or in send buffer, and response not yet processed).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `isClosed()`
  `final boolean`
  `isDeferredOpen()`
  `final boolean`
  `isOpen()`
  `static AbstractFbBlob.BlobState`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AbstractFbBlob.BlobState[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NEW

    public static final AbstractFbBlob.BlobState NEW
    Blob is new and not yet opened.

  - ### DELAYED_OPEN

    public static final AbstractFbBlob.BlobState DELAYED_OPEN
    Blob is deferred open, the open request is delayed (only client-side open).

  - ### PENDING_OPEN

    public static final AbstractFbBlob.BlobState PENDING_OPEN
    Blob is deferred open, and open request is pending (already sent or in send buffer, and response not yet processed).

  - ### OPEN

    public static final AbstractFbBlob.BlobState OPEN
    Blob is open client-side and server-side.

  - ### CLOSED

    public static final AbstractFbBlob.BlobState CLOSED
    Blob is closed.

- ## Method Details

  - ### values

    public static AbstractFbBlob.BlobState[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AbstractFbBlob.BlobState valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### isOpen

    public final boolean isOpen()
    Returns:
      `true` if this state is an open blob

  - ### isClosed

    public final boolean isClosed()
    Returns:
      `true` if this state is a closed blob (including not yet opened)

  - ### isDeferredOpen

    public final boolean isDeferredOpen()
    Returns:
      `true` if this state is a deferred state (i.e. the `DELAYED_OPEN` and `PENDING_OPEN` states)